Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.mobile.sync.synchronizer.store.beans
Class SyncPartnership

    java.lang.Object
      local.tomas.mobile.sync.synchronizer.store.beans.SyncPartnership

All Implemented Interfaces:
  java.io.Serializable

    public class SyncPartnership

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`SyncPartnership()`

Method Summary
`java.lang.Long` | `getDesktopChangeCounter()`
`java.lang.String` | `getDesktopDatabaseId()`
`java.lang.String` | `getDesktopSerialNo()`
`java.lang.String` | `getId()`
`java.lang.Long` | `getMobileChangeCounter()`
`java.lang.String` | `getMobileDatabaseId()`
`java.lang.String` | `getMobileSerialNo()`
`java.lang.String` | `getName()`
`java.sql.Timestamp` | `getSyncTimestamp()`
`java.lang.String` | `getType()`
`void` | `setDesktopChangeCounter(java.lang.Long desktopChangeCounter)`
`void` | `setDesktopDatabaseId(java.lang.String desktopDatabaseId)`
`void` | `setDesktopSerialNo(java.lang.String desktopSerialNo)`
`void` | `setId(java.lang.String id)`
`void` | `setMobileChangeCounter(java.lang.Long changeCounter)`
`void` | `setMobileDatabaseId(java.lang.String databaseId)`
`void` | `setMobileSerialNo(java.lang.String serialNo)`
`void` | `setName(java.lang.String name)`
`void` | `setSyncTimestamp(java.sql.Timestamp syncTimestamp)`
`void` | `setType(java.lang.String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyncPartnership

    public SyncPartnership()

Method Detail

### getMobileChangeCounter

    public java.lang.Long getMobileChangeCounter()

### setMobileChangeCounter

    public void setMobileChangeCounter(java.lang.Long changeCounter)

### getDesktopChangeCounter

    public java.lang.Long getDesktopChangeCounter()

### setDesktopChangeCounter

    public void setDesktopChangeCounter(java.lang.Long desktopChangeCounter)

### getMobileDatabaseId

    public java.lang.String getMobileDatabaseId()

### setMobileDatabaseId

    public void setMobileDatabaseId(java.lang.String databaseId)

### getDesktopDatabaseId

    public java.lang.String getDesktopDatabaseId()

### setDesktopDatabaseId

    public void setDesktopDatabaseId(java.lang.String desktopDatabaseId)

### getMobileSerialNo

    public java.lang.String getMobileSerialNo()

### setMobileSerialNo

    public void setMobileSerialNo(java.lang.String serialNo)

### getDesktopSerialNo

    public java.lang.String getDesktopSerialNo()

### setDesktopSerialNo

    public void setDesktopSerialNo(java.lang.String desktopSerialNo)

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### getSyncTimestamp

    public java.sql.Timestamp getSyncTimestamp()

### setSyncTimestamp

    public void setSyncTimestamp(java.sql.Timestamp syncTimestamp)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 null. All Rights Reserved.